Main Page Class List Class Members

# VHACD::PrimitiveSet Class Reference

`#include <vhacdVolume.h>`

Inheritance diagram for VHACD::PrimitiveSet:

List of all members.

## Public Member Functions
virtual void | AlignToPrincipalAxes ()=0
virtual void | Clip (const Plane &plane, PrimitiveSet *const positivePart, PrimitiveSet *const negativePart) const =0
virtual void | ComputeBB ()=0
virtual void | ComputeClippedVolumes (const Plane &plane, double &positiveVolume, double &negativeVolume) const =0
virtual void | ComputeConvexHull (Mesh &meshCH, const size_t sampling=1) const =0
virtual void | ComputeExteriorPoints (const Plane &plane, const Mesh &mesh, SArray< Vec3< double > > *const exteriorPts) const =0
virtual const double | ComputeMaxVolumeError () const =0
virtual void | ComputePrincipalAxes ()=0
virtual const double | ComputeVolume () const =0
virtual void | Convert (Mesh &mesh, const VOXEL_VALUE value) const =0
virtual PrimitiveSet * | Create () const =0
Mesh & | GetConvexHull ()
const Mesh & | GetConvexHull () const
virtual const double | GetEigenValue (AXIS axis) const =0
virtual const size_t | GetNPrimitives () const =0
virtual const size_t | GetNPrimitivesInsideSurf () const =0
virtual const size_t | GetNPrimitivesOnSurf () const =0
virtual void | Intersect (const Plane &plane, SArray< Vec3< double > > *const positivePts, SArray< Vec3< double > > *const negativePts, const size_t sampling) const =0
virtual void | RevertAlignToPrincipalAxes ()=0
virtual void | SelectOnSurface (PrimitiveSet *const onSurfP) const =0
virtual | ~PrimitiveSet ()

## Constructor & Destructor Documentation

virtual VHACD::PrimitiveSet::~PrimitiveSet | ( |  | ) | `[inline, virtual]`

## Member Function Documentation

virtual void VHACD::PrimitiveSet::AlignToPrincipalAxes | ( |  | ) | `[pure virtual]`

Implemented in VHACD::VoxelSet, and VHACD::TetrahedronSet.

virtual void VHACD::PrimitiveSet::Clip | ( | const Plane & | plane,
|  | PrimitiveSet *const | positivePart,
|  | PrimitiveSet *const | negativePart |
| ) |  |  | const`[pure virtual]`

Implemented in VHACD::VoxelSet, and VHACD::TetrahedronSet.

virtual void VHACD::PrimitiveSet::ComputeBB | ( |  | ) | `[pure virtual]`

Implemented in VHACD::VoxelSet, and VHACD::TetrahedronSet.

virtual void VHACD::PrimitiveSet::ComputeClippedVolumes | ( | const Plane & | plane,
|  | double & | positiveVolume,
|  | double & | negativeVolume |
| ) |  |  | const`[pure virtual]`

Implemented in VHACD::VoxelSet, and VHACD::TetrahedronSet.

virtual void VHACD::PrimitiveSet::ComputeConvexHull | ( | Mesh & | meshCH,
|  | const size_t | sampling = `1` |
| ) |  |  | const`[pure virtual]`

Implemented in VHACD::VoxelSet, and VHACD::TetrahedronSet.

virtual void VHACD::PrimitiveSet::ComputeExteriorPoints | ( | const Plane & | plane,
|  | const Mesh & | mesh,
|  | SArray< Vec3< double > > *const | exteriorPts |
| ) |  |  | const`[pure virtual]`

Implemented in VHACD::VoxelSet, and VHACD::TetrahedronSet.

virtual const double VHACD::PrimitiveSet::ComputeMaxVolumeError | ( |  | ) | const`[pure virtual]`

Implemented in VHACD::VoxelSet, and VHACD::TetrahedronSet.

virtual void VHACD::PrimitiveSet::ComputePrincipalAxes | ( |  | ) | `[pure virtual]`

Implemented in VHACD::VoxelSet, and VHACD::TetrahedronSet.

virtual const double VHACD::PrimitiveSet::ComputeVolume | ( |  | ) | const`[pure virtual]`

Implemented in VHACD::VoxelSet, and VHACD::TetrahedronSet.

virtual void VHACD::PrimitiveSet::Convert | ( | Mesh & | mesh,
|  | const VOXEL_VALUE | value |
| ) |  |  | const`[pure virtual]`

Implemented in VHACD::VoxelSet, and VHACD::TetrahedronSet.

virtual PrimitiveSet* VHACD::PrimitiveSet::Create | ( |  | ) | const`[pure virtual]`

Implemented in VHACD::VoxelSet, and VHACD::TetrahedronSet.

Mesh& VHACD::PrimitiveSet::GetConvexHull | ( |  | ) | `[inline]`

const Mesh& VHACD::PrimitiveSet::GetConvexHull | ( |  | ) | const`[inline]`

virtual const double VHACD::PrimitiveSet::GetEigenValue | ( | AXIS | axis | ) | const`[pure virtual]`

Implemented in VHACD::VoxelSet, and VHACD::TetrahedronSet.

virtual const size_t VHACD::PrimitiveSet::GetNPrimitives | ( |  | ) | const`[pure virtual]`

Implemented in VHACD::VoxelSet, and VHACD::TetrahedronSet.

virtual const size_t VHACD::PrimitiveSet::GetNPrimitivesInsideSurf | ( |  | ) | const`[pure virtual]`

Implemented in VHACD::VoxelSet, and VHACD::TetrahedronSet.

virtual const size_t VHACD::PrimitiveSet::GetNPrimitivesOnSurf | ( |  | ) | const`[pure virtual]`

Implemented in VHACD::VoxelSet, and VHACD::TetrahedronSet.

virtual void VHACD::PrimitiveSet::Intersect | ( | const Plane & | plane,
|  | SArray< Vec3< double > > *const | positivePts,
|  | SArray< Vec3< double > > *const | negativePts,
|  | const size_t | sampling |
| ) |  |  | const`[pure virtual]`

Implemented in VHACD::VoxelSet, and VHACD::TetrahedronSet.

virtual void VHACD::PrimitiveSet::RevertAlignToPrincipalAxes | ( |  | ) | `[pure virtual]`

Implemented in VHACD::VoxelSet, and VHACD::TetrahedronSet.

virtual void VHACD::PrimitiveSet::SelectOnSurface | ( | PrimitiveSet *const | onSurfP | ) | const`[pure virtual]`

Implemented in VHACD::VoxelSet, and VHACD::TetrahedronSet.

The documentation for this class was generated from the following file:

- sdk/extensions/authoring/source/VHACD/inc/vhacdVolume.h